package com.yunzhi.questions.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 题库答案
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaAnswer对象", description="题库答案")
public class TaAnswer implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "答案ID")
    @TableId(value = "answer_id", type = IdType.UUID)
    private String answerId;

    @ApiModelProperty(value = "问题ID")
    private String questionId;

    @ApiModelProperty(value = "选项")
    @TableField("`option`")
    private String option;

    @ApiModelProperty(value = "选项内容")
    private String content;

    @ApiModelProperty(value = "内容类型")
    private String contentType;

    @ApiModelProperty(value = "排序")
    private Integer sortNo;

    @ApiModelProperty(value = "状态")
    private Integer status;


}
