package com.yunzhi.questions.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 游戏特征实例
 * </p>
 *
 * @author yansen
 * @since 2021-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaCharacterResult对象", description="游戏特征实例")
public class TaCharacterResult implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "模板ID")
    @TableId(value = "result_id", type = IdType.INPUT)
    private String resultId;

    @ApiModelProperty(value = "特征库ID")
    private String libId;

    @ApiModelProperty(value = "实例名称")
    @TableField("`name`")
    private String name;

    @ApiModelProperty(value = "实例描述")
    @TableField("`desc`")
    private String desc;

    @ApiModelProperty(value = "图片")
    private String thumb;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


    @ApiModelProperty(value = "特征词")
    @TableField(exist = false)
    private List<TdCharacterWord> wordList;

}
