package com.yunzhi.questions.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 问答游戏结果
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaGamePersonAnswer对象", description="问答游戏结果")
public class TaGamePersonAnswer implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "游戏ID")
    private String gameId;

    @ApiModelProperty(value = "关卡ID")
    private String levelId;

    @ApiModelProperty(value = "问题ID")
    private String questionId;

    @ApiModelProperty(value = "回答结果")
    private String answer;

    @ApiModelProperty(value = "是否正确")
    private Integer isRight;

    @ApiModelProperty(value = "回答时间")
    private LocalDateTime createDate;


}
