package com.yunzhi.questions.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 问答游戏总结
 * </p>
 *
 * @author yansen
 * @since 2021-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaGamePersonResult对象", description="问答游戏总结")
public class TaGamePersonResult implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "游戏ID")
    private String gameId;

    @ApiModelProperty(value = "特征实例ID")
    private String resultId;

    @ApiModelProperty(value = "得分")
    private Integer score;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "回答列表")
    @TableField(exist = false)
    private List<TaGamePersonAnswer> answerList;
}
