package com.yunzhi.questions.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 微信配置
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaWxConfig对象", description="微信配置")
public class TaWxConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "配置ID")
    @TableId(value = "config_id", type = IdType.UUID)
    private String configId;

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "ma小程序,mp公众号")
    private String appType;

    @ApiModelProperty(value = "二维码")
    private String qrCode;

    @ApiModelProperty(value = "AppID")
    private String appid;

    @ApiModelProperty(value = "Secret")
    private String secret;

    @ApiModelProperty(value = "Token")
    private String token;

    @ApiModelProperty(value = "AesKey")
    private String aesKey;

    @ApiModelProperty(value = "消息格式类型")
    private String msgDataFormat;

    @ApiModelProperty(value = "接口代理地址")
    private String httpPoxyHost;

    @ApiModelProperty(value = "接口代理端口")
    private String httpProxyPort;

    @ApiModelProperty(value = "第三方接口地址")
    @TableField("`api_url`")
    private String apiURL;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
