package com.yunzhi.questions.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 特征库
 * </p>
 *
 * @author yansen
 * @since 2021-12-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdCharacterLib对象", description="特征库")
public class TdCharacterLib implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "库ID")
    @TableId(value = "lib_id", type = IdType.UUID)
    private String libId;

    @ApiModelProperty(value = "特征库名称")
    private String name;

    @ApiModelProperty(value = "特征库图标")
    private String icon;

    @ApiModelProperty(value = "特征库说明")
    private String remark;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "特征词")
    @TableField(exist = false)
    private List<TdCharacterWord> wordList;
}
