package com.yunzhi.questions.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 特征词
 * </p>
 *
 * @author yansen
 * @since 2021-12-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdCharacterWord对象", description="特征词")
public class TdCharacterWord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "词ID")
    @TableId(value = "word_id", type = IdType.UUID)
    private String wordId;

    @ApiModelProperty(value = "特征库ID")
    private String libId;

    @ApiModelProperty(value = "特征词")
    private String word;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
