package com.yunzhi.questions.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.questions.entity.SysLogin;
import com.yunzhi.questions.mapper.SysLoginMapper;
import com.yunzhi.questions.service.ISysLoginService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 登录 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-12-10
 */
@Service
public class SysLoginServiceImpl extends ServiceImpl<SysLoginMapper, SysLogin> implements ISysLoginService {

    @Override
    public SysLogin getByLoginName(String userName) {
        QueryWrapper<SysLogin> queryWrapper = new QueryWrapper<SysLogin>()
                .eq("login_name", userName)
                .last("limit 1");
        return getOne(queryWrapper);
    }

    @Override
    public SysLogin getByUser(String userId) {
        QueryWrapper<SysLogin> queryWrapper = new QueryWrapper<SysLogin>()
                .eq("user_id", userId)
                .last("limit 1");
        return getOne(queryWrapper);
    }
}
